summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-08-28 13:06:22 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-08-28 13:17:26 +0200
commitcb9928afbcdc233ba2f199e1ccb4335c71288933 (patch)
tree081f17e089d37e2e5aa7a147741cc699e57087a9 /dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild
parentdev-lang/php: rev bump to ease migration to dev-db/mysql-connector-c (diff)
downloadgentoo-cb9928afbcdc233ba2f199e1ccb4335c71288933.tar.gz
gentoo-cb9928afbcdc233ba2f199e1ccb4335c71288933.tar.bz2
gentoo-cb9928afbcdc233ba2f199e1ccb4335c71288933.zip
dev-db/mysql-connector-c++: rev bump to ease migration to dev-db/mysql-connector-c
Commit d877caeb3fecde89786965e11e2b8ee26d9cf408 replaced virtual/libmysqlclient dependency with dev-db/mysql-connector-c atom without a rev bump. To avoid unecessary user interaction for users not using emerge's --changed-deps=y because we are already pushing towards removal of virtual/libmysqlclient (see commit 08b83d736f77fd5dffa9cd5f6b1b44771726ce94), this commit will now force the re-installation through rev bump to ease migration. Package-Manager: Portage-2.3.72, Repoman-2.3.17 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild')
-rw-r--r--dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild b/dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild
new file mode 100644
index 00000000000..d1f8176a8bd
--- /dev/null
+++ b/dev-db/mysql-connector-c++/mysql-connector-c++-1.1.12-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="MySQL database connector for C++ (mimics JDBC 4.0 API)"
+HOMEPAGE="https://dev.mysql.com/downloads/connector/cpp/"
+URI_DIR="Connector-C++"
+SRC_URI="https://dev.mysql.com/get/Downloads/${URI_DIR}/${P}.tar.gz"
+
+LICENSE="Artistic GPL-2"
+SLOT="0/7"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug examples gcov libressl static-libs"
+
+DEPEND="dev-db/mysql-connector-c:=
+ dev-libs/boost:=
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ !<dev-db/mysql-connector-c-6.1.8"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.1.6-fix-cmake.patch"
+ "${FILESDIR}/${PN}-1.1.11-fix-mariadb.patch"
+)
+
+src_configure() {
+ # native lib/wrapper needs this!
+ append-flags "-fno-strict-aliasing"
+
+ local mycmakeargs=(
+ -DMYSQLCPPCONN_BUILD_EXAMPLES=OFF
+ -DMYSQLCPPCONN_ICU_ENABLE=OFF
+ -DMYSQLCPPCONN_TRACE_ENABLE=$(usex debug ON OFF)
+ -DMYSQLCPPCONN_GCOV_ENABLE=$(usex gcov ON OFF)
+ -DINSTALL_DOCS="/usr/share/doc/${PF}"
+ -DMYSQL_CXX_LINKAGE=0
+ -DMYSQL_INCLUDE_DIR=$(mysql_config --variable=pkgincludedir)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # static lib has wrong name so we need to rename it
+ if use static-libs; then
+ mv "${ED%/}"/usr/$(get_libdir)/libmysqlcppconn-static.a \
+ "${ED%/}"/usr/$(get_libdir)/libmysqlcppconn.a || die
+ else
+ rm -f "${ED%/}"/usr/$(get_libdir)/libmysqlcppconn-static.a
+ fi
+
+ # examples
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins "${S}"/examples/*
+ fi
+}